Withdraw Fiat to Bank Account
curl --request POST \
--url https://preview.kotanipay.com/api/v3/withdraw/bank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_key": "customer-key-123",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"bankDetails": {
"account_name": "<string>",
"account_number": "<string>",
"branch_code": "001",
"swift_code": "KCBLKENX",
"phone_number": "+254712345678"
},
"callbackUrl": "https://example.com",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"currency": "USD"
}
'import requests
url = "https://preview.kotanipay.com/api/v3/withdraw/bank"
payload = {
"customer_key": "customer-key-123",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"bankDetails": {
"account_name": "<string>",
"account_number": "<string>",
"branch_code": "001",
"swift_code": "KCBLKENX",
"phone_number": "+254712345678"
},
"callbackUrl": "https://example.com",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_key: 'customer-key-123',
amount: 10,
walletId: '5f9b2c7b9c9d6b0017b4e6b1',
bankDetails: {
account_name: '<string>',
account_number: '<string>',
branch_code: '001',
swift_code: 'KCBLKENX',
phone_number: '+254712345678'
},
callbackUrl: 'https://example.com',
referenceId: '5f9b2c7b9c9d6b0017b4e6b1',
currency: 'USD'
})
};
fetch('https://preview.kotanipay.com/api/v3/withdraw/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Bank withdrawal has been successfully created.",
"data": {
"id": "<string>",
"message": "<string>",
"referenceId": "<string>",
"referenceNumber": 123
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Bank Withdrawals
Bank Withdrawal
Send money from integrator wallet to customer bank account. Supports Kenya and SA.
POST
/
api
/
v3
/
withdraw
/
bank
Withdraw Fiat to Bank Account
Send money from integrator wallet to customer bank account. Supports Kenya and SA.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Customer key
Example:
"customer-key-123"
amount to withdraw
Example:
10
wallet id
Example:
"5f9b2c7b9c9d6b0017b4e6b1"
Show child attributes
Show child attributes
callback url
Example:
"https://example.com"
reference id
Example:
"5f9b2c7b9c9d6b0017b4e6b1"
Override transaction currency (e.g. USD for USD mobile money in Congo/Zambia). When provided and matches the wallet currency, phone-country currency validation is skipped.
Example:
"USD"